Get research status and results
curl --request GET \
--url https://api.rapportapi.com/research/{task_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rapportapi.com/research/{task_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rapportapi.com/research/{task_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"prospect_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"processing_time_seconds": 123,
"report_url": "<string>",
"result": {
"outreach_intelligence": {
"icebreakers": [
{
"angle": "<string>",
"opening_line": "<string>",
"why_effective": "<string>",
"source_type": "<string>",
"topic_category": "<string>"
}
],
"communication_style": "<string>",
"best_approach": "<string>",
"topics_to_avoid": [
"<string>"
]
},
"professional": {
"current_title": "<string>",
"current_company": "<string>",
"current_location": "<string>",
"industry": "<string>",
"skills": [
"<string>"
],
"achievements": [
"<string>"
]
},
"personal": {
"interests": [
"<string>"
],
"hobbies": [
"<string>"
],
"sports_teams": [
"<string>"
],
"causes": [
"<string>"
],
"memberships": [
"<string>"
]
},
"education": {
"entries": [
{
"institution": "<string>",
"degree": "<string>",
"field_of_study": "<string>",
"graduation_year": 123
}
],
"certifications": [
"<string>"
]
},
"family": {
"children_count": 123,
"pets": [
"<string>"
]
},
"social_media": {
"linkedin": {
"url": "<string>",
"bio": "<string>",
"post_count": 123,
"posts_summary": "<string>"
},
"twitter": {
"url": "<string>",
"bio": "<string>",
"twitter_posts_summary": "<string>"
}
}
},
"error": "<string>"
}{
"detail": "<string>",
"status_code": 123
}{
"detail": "Task not found",
"status_code": 404
}Research
Get Research
Poll a research task by ID. Returns the current status and, when completed, the full intelligence report with icebreakers, communication style, and background data.
GET
/
research
/
{task_id}
Get research status and results
Authorizations
API key with rapi_live_ prefix
Path Parameters
The task ID returned from POST /research
Response
Task status and results
Current task status
Available options:
pending, running, completed, failed Public URL to the HTML report (only when completed)
Full intelligence report (only present when status is 'completed')
Show child attributes
Show child attributes
Error message (only when failed)
⌘I